Bug 1600068 - ceph_volume_client: allow atomic updates of object
Summary: ceph_volume_client: allow atomic updates of object
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: CephFS
Version: 3.0
Hardware: All
OS: All
high
low
Target Milestone: rc
: 3.2
Assignee: Rishabh Dave
QA Contact: Ramakrishnan Periyasamy
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-11 11:03 UTC by Ram Raja
Modified: 2019-01-03 19:01 UTC (History)
6 users (show)

Fixed In Version: RHEL: ceph-12.2.8-13.el7cp Ubuntu: ceph_12.2.8-10redhat1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-03 19:01:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Ceph Project Bug Tracker 24862 None None None 2018-07-11 11:03:06 UTC
Red Hat Product Errata RHBA-2019:0020 None None None 2019-01-03 19:01:39 UTC

Description Ram Raja 2018-07-11 11:03:07 UTC
Description of problem:
Need to expose APIs to enable manila's cephfs driver to atomically update RADOS objects. Implement 'put_object_versioned()' and 'get_object_and_version()' methods in ceph_volume_client to allow the manila driver to do so.

You can run the following test in the qa suite to verify that the new method work,
https://github.com/ceph/ceph/pull/22455/commits/8ab6f84d5799cf2f32fb2b08168ff1cfb82f7d15#diff-56d08f4280046bb7c3fad415cbc9e425R973

Comment 9 Ramakrishnan Periyasamy 2018-11-22 03:57:01 UTC
Moving the bug to verified state.

Comment 11 errata-xmlrpc 2019-01-03 19:01:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0020


Note You need to log in before you can comment on or make changes to this bug.